CMUtils = {}
function CMUtils.dump(o)
   if type(o) == 'table' then
      local s = '{ '
      for k,v in pairs(o) do
         if type(k) ~= 'number' then k = '"'..k..'"' end
         s = s .. '['..k..'] = ' .. ChartMeAddon.dump(v) .. ','
      end
      return s .. '} '
   else
      return tostring(o)
   end
end

function CMUtils.inTable(needle, haystack)
  local u = { }
  for _, v in pairs(haystack) do u[v] = true end
  if u[needle] then return true end
  return nil
end

function CMUtils.round(num)
	return math.floor(num+0.5)
end
